### Function

# Ggit TagCallback

#### Declaration

    gint
    (* GgitTagCallback) (
      const gchar* name,
      GgitOId* tag_oid,
      gpointer user_data
    )

#### Description [src]

When iterating over all the tags, callback that will be issued per entry. See ggit_repository_tag_foreach().

#### Parameters

`name`

  Type: `const gchar*`

  The tag name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`tag_oid`

  Type: `GgitOId`

  The tag oid.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User-suplied data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

0 to go continue or a `GgitError` in case there was an error.